Bug 819145

Summary: [as7] code in discovery that figures out System property (sysprop) values by parsing the server command line does not process -P/--properties option
Product: [Other] RHQ Project Reporter: Ian Springer <ian.springer>
Component: PluginsAssignee: Charles Crouch <ccrouch>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: urgent    
Version: 4.4CC: ccrouch, hbrock, hrupp, jshaughn
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820570 820584 (view as bug list) Environment:
Last Closed: 2013-09-01 06:11:04 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 820445    
Bug Blocks: 707223, 782579, 820570, 820584    

Description Ian Springer 2012-05-05 00:26:02 EDT
standalone.sh/bat and domain.sh/bat both support the following command line options:

    -P=<url>                            Load system properties from the given 
                                        url

    -P <url>                            Load system properties from the given 
                                        url

    --properties=<url>                  Load system properties from the given 
                                        url
Comment 1 Mike Foley 2012-05-08 14:11:28 EDT
per BZ triage crouch, foley, loleary
Comment 2 Ian Springer 2012-05-09 20:18:00 EDT
Fixed in master: 

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=7b1a63a

Note, AS7 support more than one -P and/or --properties option on the same command line, and our code handles that.
Comment 3 Ian Springer 2012-05-10 08:06:51 EDT
Note, the unit test for this fix (AS7CommandLineTest) depends on the fix for bug 820445.
Comment 4 Jay Shaughnessy 2012-05-16 09:02:45 EDT
Note, this support is in AS5, and I've added a unit test to ensure it
is working.
Comment 5 Ian Springer 2012-05-29 09:26:09 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=e9c19a7 fixes a bug in the original fix, which caused an "IllegalArgumentException: URI is not absolute" error when trying to parse a -P option value that was a relative path.
Comment 8 Heiko W. Rupp 2013-09-01 06:11:04 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.